#
# spec file for package MozillaThunderbird (Version 1.5.0.14)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel PolicyKit aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison brp-check-internal bzip2 cairo cairo-devel coreutils cpio cpp cpp41 cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dbus-1-glib-devel desktop-translations diffutils e2fsprogs esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc41 gcc41-c++ gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib glib-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gnome-keyring gnome-keyring-devel gnome-vfs2 gnome-vfs2-devel gpm grep groff gtk2 gtk2-devel gzip hal hal-devel indent info insserv klogd krb5 less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libdrm libgcc41 libglade2 libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeui libgnomeui-devel libidl libidl-devel libjpeg libjpeg-devel libltdl libmudflap41 libnscd libpng libpng-devel libstdc++41 libstdc++41-devel libtiff libtool libusb libvolume_id libxcrypt libxml2 libxml2-devel libzio linux-kernel-headers m4 mDNSResponder-lib make man mktemp module-init-tools mozilla-nspr mozilla-nspr-devel mozilla-nss mozilla-nss-devel ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel orbit orbit-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl permissions pkgconfig pm-utils pmtools popt popt-devel post-build-checks procinfo procps psmisc pwdutils rcs readline resmgr rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zip zlib zlib-devel


Name:           MozillaThunderbird
BuildRequires:  gcc-c++ libgnomeui-devel libidl-devel mozilla-nss-devel orbit-devel update-desktop-files zip
License:        GPL v2 or later; LGPL v2.1 or later; MOZILLA PUBLIC LICENSE (MPL/NPL)
Version:        1.5.0.14
Release:        0.10
Summary:        The Stand-Alone Mozilla Mail Component
Url:            http://www.mozilla.org/products/thunderbird/
Group:          Productivity/Networking/Email/Clients
Source:         thunderbird-%{version}-source.tar.bz2
Source1:        MozillaThunderbird.desktop
Source2:        add-plugins.sh.in
Source3:        mozilla.sh.in
Source4:        l10n.tar.bz2
Source5:        mailredirect-0.7.4.xpi
Source6:        suse-default-prefs.js
Source9:        enigmail-0.95.2.tar.gz
Source11:       enigmail.manifest
Patch1:         pango-cairo.patch
Patch2:         thunderbird-appname.patch
Patch3:         visibility.patch
Patch4:         locale.patch
Patch5:         abuild.patch
Patch6:         nspr-prdtoa.patch
Patch7:         enig-shared.patch
Patch8:         digest-mail.patch
Patch9:         thunderbird-no-update.patch
Patch10:        mips-buildfix.diff
Patch11:        lightning.patch
Patch12:        misc.dif
Patch13:        nss-opt.patch
Patch14:        html-compose.patch
Patch15:        system-extensions.patch
Patch16:        xul-picker.patch
Patch17:        remote.patch
Patch18:        system-nss.patch
Patch19:        system-nspr.patch
# Patch20:        file-saver.patch
Patch21:        ppc64.patch
Patch22:        cjk-postscript-fonts.dif
#Patch23:        home-download.patch
Patch24:        multi-replyto.patch
Patch25:        postscript.patch
Patch26:        cups-paper.patch
Patch27:        print-properties.patch
Patch28:        replytolist.patch
Patch29:        list-replyto-clobber.patch
# backported patches, courtesy of Red Hat
Patch40:        mozilla-358594.patch
Patch43:        mozilla-178993.patch
Patch44:        mozilla-384925.patch
Patch45:        mozilla-381300.patch
# Patch backported from thunderbird 2.0.0.12
Patch50:        thunderbird-2.0.0.12-backports.patch
# Patches backported from thunderbird 2.0.0.14
Patch51:        bmo411093.patch
Patch52:        bmo384750.patch
Patch53:        bmo387390.patch
Patch54:        bmo403167.patch
Patch55:        bmo403168.patch
Patch56:        bmo363891.patch
Patch57:        bmo415030.patch
Patch58:        bmo390813.patch
Patch59:        bmo405783.patch
Patch60:        bmo384871.patch
Patch61:        bmo415827.patch
Patch62:        bmo399286.patch
Patch63:        bmo345529.patch
Patch64:        bmo417377.patch
Patch65:        bmo411025.patch
Patch66:        bmo414755.patch
# security patches backported from 2.0.0.16 and 2.0.0.17:
Patch70:        mozilla-440230.patch
Patch71:        mozilla-439735.patch
Patch72:        mozilla-240261.patch
Patch73:        mozilla-397093.patch
Patch74:        mozilla-413874.patch
# mozilla-419846.patch causes the breakage reported in https://bugzilla.novell.com/show_bug.cgi?id=429179#c39
# Patch75: mozilla-419846.patch
Patch76:        mozilla-391178.patch
Patch77:        mozilla-418128.patch
Patch78:        mozilla-425152.patch
Patch79:        mozilla-443288.patch
Patch80:        mozilla-451617.patch
Patch81:        mozilla-380994.patch
Patch82:        mozilla-430740.patch
Patch83:        mozilla-443089.patch
Patch84:        mozilla-445229.patch
Patch85:        mozilla-446494.patch
Patch86:        mozilla-444608.patch
Patch87:        mozilla-367736.patch
Patch88:        mozilla-443693.patch
Patch89:        mozilla-419848.patch
Patch90:        mozilla-448548.patch
Patch91:        mozilla-451037.patch
Patch92:        mozilla-439034.patch
# backports from 2.0.0.18
Patch93:        mozilla-458883.patch
Patch94:        mozilla-460002.patch
Patch95:        mozilla-456896.patch
Patch96:        mozilla-455987.patch
Patch97:        mozilla-436741.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         libstdc++ fileutils textutils /bin/sh
%if %suse_version > 1000
Suggests:       %{name}-translations
%endif
%define has_system_cairo 0
%define has_system_nspr  0
%define has_system_nss   0
%define pango 0
%if %suse_version > 930 || %is_plus
%define has_system_cairo 1
%define has_system_nspr  1
%endif
%if %suse_version > 1000 || %is_plus
%define has_system_nss   1
%endif
%if %is_plus || %suse_version >= 930
%define pango 1
%endif
%if %has_system_nspr
Requires:       mozilla-nspr >= %( echo `rpm -q --queryformat '%{VERSION}' mozilla-nspr`)
%endif
%if %has_system_nss
Requires:       mozilla-nss >= %( echo `rpm -q --queryformat '%{VERSION}' mozilla-nss`)
%endif
%define _unpackaged_files_terminate_build 0
%define releasedate 2006091100
%define progname thunderbird
%define progdir %{_prefix}/%_lib/thunderbird
%define my_provides /tmp/my-provides
%define my_requires /tmp/my-requires
%if %suse_version > 920
%define libgssapi libgssapi_krb5.so.2
%else
%define libgssapi libgssapi.so.1
%endif
### build options
%define milestone 1 
%define build_enigmail 1
%define localize 1
### build options end

%description
Mozilla Thunderbird is a redesign of the Mozilla Mail component. It is
written using the XUL user interface language and designed to be
cross-platform. It is a stand-alone application instead of part of the
Mozilla application suite.



Authors:
--------
    Mozilla Foundation <drivers@mozilla.org>

%debug_package
%package translations
License:        GPL v2 or later; LGPL v2.1 or later; MOZILLA PUBLIC LICENSE (MPL/NPL)
Summary:        Translations of MozillaThunderbird
Group:          Productivity/Networking/Email/Clients
PreReq:         %{name} = %{version}

%description translations
This package contains several optional languages for the user interface
of MozillaThunderbird.



Authors:
--------
    Mozilla Foundation <drivers@mozilla.org>

%prep
%if %build_enigmail
%setup -n mozilla -q -b 4 -b 9
cd $RPM_BUILD_DIR
%patch7
%else
%setup -n mozilla -q -b 4
%endif
cd $RPM_BUILD_DIR/mozilla
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch8
%patch9
%patch10
#%patch11
%patch12
%patch13
%patch14
%patch15
%patch16
#%patch17  # temporary disabled
%if %has_system_nss
%patch18
%endif
%if %has_system_nspr
%patch19
%endif
#%if %suse_version >= 1000
#%patch20
#%endif
%patch21
%patch22
# %patch23
%patch24
%patch25
%patch26
%patch27
%patch28
%patch29
%patch40 -p1
%patch43 -p1
%patch44 -p1
%patch45 -p1
%patch50 -p1
%patch51
%patch52
%patch53
%patch54
%patch55
%patch56
%patch57
%patch58
%patch59
%patch60
%patch61
%patch62
%patch63
%patch64
%patch65
%patch66
%patch70 -p1
%patch71 -p1
%patch72 -p1
%patch73 -p1
%patch74 -p1
### %patch75 -p1
%patch76 -p1
%patch77 -p1
%patch78 -p1
%patch79 -p1
%patch80 -p1
%patch81 -p1
%patch82 -p1
%patch83 -p1
%patch84 -p1
%patch85 -p1
%patch86 -p1
%patch87 -p1
%patch88 -p1
%patch89 -p1
%patch90 -p1
%patch91 -p1
%patch92 -p1
%patch93 -p1
%patch94 -p1
%patch95 -p1
%patch96 -p1
%patch97 -p1

%build
export MOZ_BUILD_DATE=%{releasedate}
export MOZILLA_OFFICIAL=1
export BUILD_OFFICIAL=1
export CFLAGS="$RPM_OPT_FLAGS -Os -fno-strict-aliasing"  
%if %suse_version > 1000
export CFLAGS="$CFLAGS -fstack-protector"
%endif
export CXXFLAGS="$CFLAGS"
export MOZCONFIG=$RPM_BUILD_DIR/mozconfig
cat << EOF > $MOZCONFIG
mk_add_options MOZILLA_OFFICIAL=1
mk_add_options BUILD_OFFICIAL=1
mk_add_options MOZ_MAKE_FLAGS=%{?jobs:-j%jobs}
. \$topsrcdir/mail/config/mozconfig
ac_add_options --prefix=%{_prefix}
ac_add_options --libdir=%{_libdir}
ac_add_options --sysconfdir=%{_sysconfdir}
ac_add_options --mandir=%{_mandir}
ac_add_options --includedir=%{_includedir}
ac_add_options --enable-optimize="$CFLAGS"
ac_add_options --with-system-jpeg
ac_add_options --with-system-png
ac_add_options --with-system-mng
ac_add_options --with-system-zlib
#ac_add_options --enable-extensions=default,lightning
ac_add_options --enable-default-toolkit=gtk2
ac_add_options --enable-xft
%if %suse_version > 920
ac_add_options --enable-pango
%endif
ac_add_options --disable-freetype2
ac_add_options --disable-installer
ac_add_options --disable-plugins
ac_add_options --enable-static
ac_add_options --disable-shared
EOF
%if %has_system_nspr
cat << EOF >> $MOZCONFIG
ac_add_options --with-system-nspr
EOF
%endif
%if %has_system_nss
cat << EOF >> $MOZCONFIG
ac_add_options --with-system-nss
EOF
%endif
%if %has_system_cairo
cat << EOF >> $MOZCONFIG
ac_add_options --enable-system-cairo
EOF
%endif
%if %milestone
cat << EOF >> $MOZCONFIG
ac_add_options --enable-official-branding
EOF
%endif
make -f client.mk build
#
### enigmail build
%if %build_enigmail
mv $RPM_BUILD_DIR/enigmail $RPM_BUILD_DIR/mozilla/mailnews/extensions/
(cd $RPM_BUILD_DIR/mozilla/mailnews/extensions/enigmail; ./makemake -r; make)
%endif

%install
make -C mail/installer STRIP=/bin/true
# copy tree into RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{progdir}
cp -rf $RPM_BUILD_DIR/mozilla/dist/thunderbird/* $RPM_BUILD_ROOT%{progdir}
# build additional locales
%if %localize
echo %defattr\(-,root,root\) > %{_tmppath}/translations.list
for locale in $(cat mail/locales/all-locales); do
  make -C mail/locales libs-$locale
  cp dist/xpi-stage/locale-$locale/chrome/$locale.jar \
     $RPM_BUILD_ROOT%{progdir}/chrome
  cp dist/xpi-stage/locale-$locale/chrome/$locale.manifest \
     $RPM_BUILD_ROOT%{progdir}/chrome
  echo %{progdir}/chrome/$locale.jar      >> %{_tmppath}/translations.list
  echo %{progdir}/chrome/$locale.manifest >> %{_tmppath}/translations.list
done
%endif
# overwrite the mozilla start-script and link it to /usr/bin
mkdir --parents $RPM_BUILD_ROOT%{_bindir}/
sed "s:%%PREFIX:%{_prefix}:g
s:%%PROGDIR:%{progdir}:g
s:%%APPNAME:%{progname}:g
s:%%PROFILE:.thunderbird:g" \
  %{SOURCE3} > $RPM_BUILD_ROOT%{progdir}/%{progname}.sh
chmod 755 $RPM_BUILD_ROOT%{progdir}/%{progname}.sh
ln -sf ../..%{progdir}/%{progname}.sh $RPM_BUILD_ROOT/%{_bindir}/%{progname}
# freedesktop definition
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
install -m 644 %{SOURCE1} \
               $RPM_BUILD_ROOT%{_datadir}/applications
# install add-plugins.sh
sed "s:%%PROGDIR:%{progdir}:g
s:%%APPNAME:%{progname}:g" \
  %{SOURCE2} > $RPM_BUILD_ROOT%{progdir}/add-plugins.sh
chmod 755 $RPM_BUILD_ROOT%{progdir}/add-plugins.sh
# apply SUSE defaults
sed -e 's,RPM_VERSION,%{version}-%{release},g
s,GSSAPI,%{libgssapi},g' \
   %{SOURCE6} > suse-default-prefs
cp suse-default-prefs $RPM_BUILD_ROOT/%{progdir}/defaults/pref/novell.js
rm suse-default-prefs
# use correct locale for useragent
cat > $RPM_BUILD_ROOT%{progdir}/defaults/pref/all-l10n.js << EOF
pref("general.useragent.locale", "chrome://global/locale/intl.properties");
EOF
##########
# ADDONS
#
# install enigmail in extension dir
%if %build_enigmail
_enig_dir=$RPM_BUILD_ROOT%{progdir}/extensions/\{847b3a00-7ab1-11d4-8f02-006008948af5\}
mkdir -p $_enig_dir/chrome/
mkdir -p $_enig_dir/components/
mkdir -p $_enig_dir/defaults/preferences/
mv -f $RPM_BUILD_ROOT%{progdir}/chrome/enigmail.jar $_enig_dir/chrome/
mv -f $RPM_BUILD_ROOT%{progdir}/chrome/enigmail-skin-tbird.jar $_enig_dir/chrome/
mv -f $RPM_BUILD_ROOT%{progdir}/components/enig* $_enig_dir/components/
mv -f $RPM_BUILD_ROOT%{progdir}/components/libenigmime.so $_enig_dir/components/
mv -f $RPM_BUILD_ROOT%{progdir}/components/ipc.xpt $_enig_dir/components/
mv -f $RPM_BUILD_ROOT%{progdir}/defaults/preferences/enigmail.js $_enig_dir/defaults/preferences/
cp -f $RPM_BUILD_DIR/mozilla/mailnews/extensions/enigmail/package/install.rdf $_enig_dir/
rm -rf $RPM_BUILD_ROOT%{progdir}/defaults/preferences/
rm -rf $RPM_BUILD_ROOT%{progdir}/chrome/enigmail-en-US.jar
rm -rf $RPM_BUILD_ROOT%{progdir}/chrome/enigmail-skin.jar
rm -rf $RPM_BUILD_ROOT%{progdir}/chrome/enigmime.jar
rm -rf $RPM_BUILD_ROOT%{progdir}/components/enig*
rm -rf $RPM_BUILD_ROOT%{progdir}/components/libenigmime.so
rm -rf $RPM_BUILD_ROOT%{progdir}/components/ipc.xpt
cp -f %{SOURCE11} $_enig_dir/chrome.manifest
%endif
#
# install mailredirect
_redir_dir=$RPM_BUILD_ROOT%{progdir}/extensions/\{CC3C233D-6668-41bc-AAEB-F3A1D1D594F5\}
mkdir $_redir_dir
unzip %{SOURCE5} -d $_redir_dir
#
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/
cp -f $RPM_BUILD_ROOT%{progdir}/icons/mozicon50.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps/thunderbird.xpm
%if %suse_version > 820
%suse_update_desktop_file %{name} Application Network Email GTK
%endif
%if %has_system_nspr && !%has_system_nss
# modify provides and requires lists
cat << EOF > %{my_provides}
grep -vE "libnss3.so|libnssckbi.so|libsmime3.so|libsoftokn3.so|libssl3.so" | %{__find_provides}
EOF
chmod 755 %{my_provides}
%define __find_provides %{my_provides}
cat << EOF > %{my_requires}
grep -vE "libnss3.so|libnssckbi.so|libsmime3.so|libsoftokn3.so|libssl3.so|thunderbird-bin" | %{__find_requires}
EOF
chmod 755 %{my_requires}
%define __find_requires %{my_requires}
%endif

%clean
rm -rf $RPM_BUILD_ROOT
%if %has_system_nspr && !%has_system_nss
rm -f %{my_provides}
rm -f %{my_requires}
%endif

%triggerin -- myspell-dictionary
%progdir/add-plugins.sh > /dev/null 2>&1
exit 0

%triggerpostun -- myspell-dictionary
%progdir/add-plugins.sh > /dev/null 2>&1
exit 0

%post
%progdir/add-plugins.sh > /dev/null 2>&1
exit 0

%preun
if [ "$1" = "0" ]; then # deinstallation
  rm -f %{progdir}/components/myspell/*
fi
exit 0

%files
%defattr(-,root,root)
%attr(755,root,root) %{progdir}/%{progname}.sh
%attr(755,root,root) %{progdir}/add-plugins.sh
%dir %{progdir}
%{progdir}/res/
%{progdir}/icons/
# NSPR
%if ! %has_system_nspr
%{progdir}/libnspr4.so
%{progdir}/libplc4.so
%{progdir}/libplds4.so
%endif
# NSS
%if ! %has_system_nss
%{progdir}/libnss3.so
%{progdir}/libnssckbi.so
%{progdir}/libsmime3.so
%{progdir}/libsoftokn3.chk
%{progdir}/libsoftokn3.so
%{progdir}/libssl3.so
%endif
#
%{progdir}/LICENSE.txt
%{progdir}/README.txt
%{progdir}/libldap50.so
%{progdir}/libmozjs.so
%{progdir}/libprldap50.so
%{progdir}/libxpcom_core.so
%{progdir}/libxpcom_compat.so
%{progdir}/libxpcom.so
%{progdir}/libxpistub.so
%{progdir}/mozilla-xremote-client
%{progdir}/run-mozilla.sh
%{progdir}/thunderbird
%{progdir}/thunderbird-bin
%{progdir}/updater
%{progdir}/updater.ini
%{progdir}/xpicleanup
%dir %{progdir}/components
%{progdir}/components/accessibility-atk.xpt
%{progdir}/components/accessibility.xpt
%{progdir}/components/addrbook.xpt
%{progdir}/components/alerts.xpt
%{progdir}/components/appshell.xpt
%{progdir}/components/appstartup.xpt
%{progdir}/components/autocomplete.xpt
%{progdir}/components/autoconfig.xpt
%{progdir}/components/bookmarks.xpt
%{progdir}/components/caps.xpt
%{progdir}/components/chardet.xpt
%{progdir}/components/chrome.xpt
%{progdir}/components/commandhandler.xpt
%{progdir}/components/commandlines.xpt
%{progdir}/components/composer.xpt
%{progdir}/components/content_base.xpt
%{progdir}/components/content_htmldoc.xpt
%{progdir}/components/content_html.xpt
%{progdir}/components/content_xmldoc.xpt
%{progdir}/components/content_xslt.xpt
%{progdir}/components/content_xtf.xpt
%{progdir}/components/docshell.xpt
%{progdir}/components/dom_base.xpt
%{progdir}/components/dom_canvas.xpt
%{progdir}/components/dom_core.xpt
%{progdir}/components/dom_css.xpt
%{progdir}/components/dom_events.xpt
%{progdir}/components/dom_html.xpt
%{progdir}/components/dom_loadsave.xpt
%{progdir}/components/dom_range.xpt
%{progdir}/components/dom_stylesheets.xpt
%{progdir}/components/dom_traversal.xpt
%{progdir}/components/dom_views.xpt
%{progdir}/components/dom_xbl.xpt
%{progdir}/components/dom_xpath.xpt
%{progdir}/components/dom.xpt
%{progdir}/components/dom_xul.xpt
%{progdir}/components/downloadmanager.xpt
%{progdir}/components/downloads.xpt
%{progdir}/components/editor.xpt
%{progdir}/components/embed_base.xpt
%{progdir}/components/extensions.xpt
%{progdir}/components/exthandler.xpt
%{progdir}/components/filepicker.xpt
%{progdir}/components/find.xpt
%{progdir}/components/gfx.xpt
%{progdir}/components/history.xpt
%{progdir}/components/htmlparser.xpt
%{progdir}/components/imgicon.xpt
%{progdir}/components/imglib2.xpt
%{progdir}/components/impComm4xMail.xpt
%{progdir}/components/import.xpt
%{progdir}/components/intl.xpt
%{progdir}/components/jar.xpt
%{progdir}/components/jsconsole.xpt
%{progdir}/components/jsconsole-clhandler.js
%{progdir}/components/jsdservice.xpt
%{progdir}/components/layout_base.xpt
%{progdir}/components/layout_printing.xpt
%{progdir}/components/layout_xul_tree.xpt
%{progdir}/components/layout_xul.xpt
%{progdir}/components/libimgicon.so
%{progdir}/components/libjsd.so
%{progdir}/components/libmozgnome.so
%{progdir}/components/libmyspell.so
%{progdir}/components/libspellchecker.so
%{progdir}/components/libxpinstall.so
%{progdir}/components/locale.xpt
%{progdir}/components/lwbrk.xpt
%{progdir}/components/mailnews.xpt
%{progdir}/components/mailprofilemigration.xpt
%{progdir}/components/mailview.xpt
%{progdir}/components/mdn-service.js
%{progdir}/components/mimetype.xpt
%{progdir}/components/mime.xpt
%{progdir}/components/mozbrwsr.xpt
%{progdir}/components/mozfind.xpt
%{progdir}/components/mozgnome.xpt
%{progdir}/components/mozldap.xpt
%{progdir}/components/msgbase.xpt
%{progdir}/components/msgcompose.xpt
%{progdir}/components/msgdb.xpt
%{progdir}/components/msgimap.xpt
%{progdir}/components/msglocal.xpt
%{progdir}/components/msgnews.xpt
%{progdir}/components/msgsearch.xpt
%{progdir}/components/msgsmime.xpt
%{progdir}/components/myspell/
%{progdir}/components/necko_about.xpt
%{progdir}/components/necko_cache.xpt
%{progdir}/components/necko_cookie.xpt
%{progdir}/components/necko_data.xpt
%{progdir}/components/necko_dns.xpt
%{progdir}/components/necko_file.xpt
%{progdir}/components/necko_ftp.xpt
%{progdir}/components/necko_http.xpt
%{progdir}/components/necko_res.xpt
%{progdir}/components/necko_socket.xpt
%{progdir}/components/necko_strconv.xpt
%{progdir}/components/necko_viewsource.xpt
%{progdir}/components/necko.xpt
%{progdir}/components/newsblog.js
%{progdir}/components/nsAbLDAPAttributeMap.js
%{progdir}/components/nsCloseAllWindows.js
%{progdir}/components/nsComposerCmdLineHandler.js
%{progdir}/components/nsDefaultCLH.js
%{progdir}/components/nsDownloadProgressListener.js
%{progdir}/components/nsExtensionManager.js
%{progdir}/components/nsFilePicker.js
%{progdir}/components/nsHelperAppDlg.js
%{progdir}/components/nsInterfaceInfoToIDL.js
%{progdir}/components/nsLDAPPrefsService.js
%{progdir}/components/nsMailDefaultHandler.js
%{progdir}/components/nsUpdateService.js
%{progdir}/components/nsProgressDialog.js
%{progdir}/components/nsProxyAutoConfig.js
%{progdir}/components/offlineStartup.js
%{progdir}/components/pipboot.xpt
%{progdir}/components/pipnss.xpt
%{progdir}/components/pippki.xpt
%{progdir}/components/pref.xpt
%{progdir}/components/prefetch.xpt
%{progdir}/components/profile.xpt
%{progdir}/components/progressDlg.xpt
%{progdir}/components/proxyObjInst.xpt
%{progdir}/components/rdf.xpt
%{progdir}/components/shistory.xpt
%{progdir}/components/sidebar.xpt
%{progdir}/components/signonviewer.xpt
%{progdir}/components/smime-service.js
%{progdir}/components/spellchecker.xpt
%{progdir}/components/toolkitprofile.xpt
%{progdir}/components/toolkitremote.xpt
%{progdir}/components/txmgr.xpt
%{progdir}/components/txtsvc.xpt
%{progdir}/components/uconv.xpt
%{progdir}/components/unicharutil.xpt
%{progdir}/components/update.xpt
%{progdir}/components/uriloader.xpt
%{progdir}/components/wallet.xpt
%{progdir}/components/walleteditor.xpt
%{progdir}/components/walletpreview.xpt
%{progdir}/components/webBrowser_core.xpt
%{progdir}/components/webbrowserpersist.xpt
%{progdir}/components/webshell_idls.xpt
%{progdir}/components/websrvcs.xpt
%{progdir}/components/widget.xpt
%{progdir}/components/windowds.xpt
%{progdir}/components/windowwatcher.xpt
%{progdir}/components/xmlextras.xpt
%{progdir}/components/xpcom_base.xpt
%{progdir}/components/xpcom_components.xpt
%{progdir}/components/xpcom_ds.xpt
%{progdir}/components/xpcom_io.xpt
%{progdir}/components/xpcom_obsolete.xpt
%{progdir}/components/xpcom_threads.xpt
%{progdir}/components/xpcom_xpti.xpt
%{progdir}/components/xpconnect.xpt
%{progdir}/components/xpinstall.xpt
%{progdir}/components/xulapp.xpt
%{progdir}/components/xuldoc.xpt
%{progdir}/components/xultmpl.xpt
%dir %{progdir}/chrome/
%{progdir}/chrome/classic.*
%{progdir}/chrome/comm.*
%{progdir}/chrome/en-US.*
%{progdir}/chrome/messenger.*
%{progdir}/chrome/newsblog.*
%{progdir}/chrome/offline.*
%{progdir}/chrome/pippki.*
%{progdir}/chrome/toolkit.*
%{progdir}/chrome/US.jar
%{progdir}/chrome/icons/
%{progdir}/defaults/
%{progdir}/greprefs/
%{progdir}/extensions/
%{progdir}/init.d/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/thunderbird.xpm
%{_bindir}/%{progname}
%if %localize

%files translations -f %{_tmppath}/translations.list
%defattr(-,root,root)
%endif

%changelog
* Fri Nov 21 2008 - maw@suse.de
- Add mozilla-458883.patch, mozilla-460002.patch,
  mozilla-456896.patch, mozilla-455987.patch, and
  mozilla-436741.patch (bnc#439841).
* Tue Oct 14 2008 - maw@suse.de
- Remove mozilla-419846.patch (bnc#429179#c39).
* Thu Oct 02 2008 - maw@suse.de
- Add mozilla-240261.patch, mozilla-367736.patch,
  mozilla-380994.patch, mozilla-391178.patch, mozilla-397093.patch,
  mozilla-413874.patch, mozilla-418128.patch, mozilla-419846.patch,
  mozilla-419848.patch, mozilla-425152.patch, mozilla-430740.patch,
  mozilla-439034.patch, mozilla-439735.patch, mozilla-440230.patch,
  mozilla-443089.patch, mozilla-443288.patch, mozilla-443693.patch,
  mozilla-444608.patch, mozilla-445229.patch, mozilla-446494.patch,
  mozilla-448548.patch, mozilla-451037.patch, and
  mozilla-451617.patch (bnc#429179).
* Tue May 27 2008 - maw@suse.de
- Add bmo411093.patch, bmo384750.patch, bmo387390.patch,
  bmo403167.patch, bmo403168.patch, bmo363891.patch,
  bmo415030.patch, bmo390813.patch, bmo405783.patch,
  bmo384871.patch, bmo415827.patch, bmo399286.patch,
  bmo345529.patch, bmo417377.patch, bmo411025.patch, and
  bmo414755.patch, all backported from thunderbird 2.0.0.14
  (bnc#390992):
  + MFSA 2008-15/CVE-2008-1236 and CVE-2008-1237:  Crashes with
  evidence of memory corruption (rv:1.8.1.13)
  + MFSA 2008-14/CVE-2008-1233, CVE-2008-1234, and CVE-2008-1235:
  JavaScript privilege escalation and arbitrary code execution.
* Tue Mar 11 2008 - maw@suse.de
- Add thunderbird-2.0.0.12-backports.patch (bnc#354469), which
  corresponds to the following
  + MFSA 2008-12  Heap buffer overflow in external MIME bodies
  + MFSA 2008-05 Directory traversal via chrome: URI
  + MFSA 2008-03 Privilege escalation, XSS, Remote Code Execution
  + MFSA 2008-01 Crashes with evidence of memory corruption
  (rv:1.8.1.12).
* Fri Dec 21 2007 - maw@suse.de
- Update to version 1.5.0.14 (#341591)
  + For bugs fixed in this release, see https://bugzilla.mozilla.org/buglist.cgi?keywords_type=anywords&keywords=fixed1.8.0.14,verified1.8.0.14
  + Remove several now-stale patches.
* Wed Jul 25 2007 - maw@suse.de
- Add mozilla-358594.patch, mozilla-379245.patch,
  mozilla-382532.patch, mozilla-178993.patch, mozilla-384925.patch,
  and mozilla-381300.patch courtesy of Red Hat; the numbers in
  these patches are bug numbers at bugzilla.mozilla.org; the bug
  number for bugzilla.novell.com is #288115
- These are fixes for the following:
  MFSA 2007-18
  CVE-2007-3734 - Browser flaws
  CVE-2007-3735 - Javascript flaws
  MFSA 2007-19
  CVE-2007-3736
  MFSA 2007-20
  CVE-2007-3089
  MFSA 2007-21
  CVE-2007-3737
  MFSA 2007-22
  CVE-2007-3285
  MFSA 2007-23
  CVE-2007-3670
  MFSA 2007-24
  CVE-2007-3656
  MFSA 2007-25
  CVE-2007-3738
- Update to enigmail 0.95.2
* Tue Jun 05 2007 - maw@suse.de
- Security update to version 1.5.0.12 (#271197).
* Thu Mar 08 2007 - meissner@suse.de
- Security update to version 1.5.0.10. #244923
- Security update to enigmail 0.94.2.
* Wed Dec 20 2006 - maw@suse.de
- Security update to version 1.5.0.9
- Remove these upstream patches:
  + file-saver.patch
  + home-download.patch
* Thu Nov 09 2006 - jhargadon@suse.de
- security update to version 1.5.0.8
* Tue Sep 12 2006 - stark@suse.de
- security update to version 1.5.0.7
* Mon Aug 14 2006 - stark@suse.de
- update enigmail to 0.94.1
  * Added support for signing attachments with inline-PGP
- update mailredirect to 0.7.4
- added backend patch to allow replies to list with
  ReplyToListThunderbirdExtension (#199125, bmo #45715)
- added mailnews.clobber_list_reply pref which switches
  "Reply All" to "Reply List" functionality if set
* Thu Jul 27 2006 - stark@suse.de
- security update to version 1.5.0.5 (#195043)
- fixed overwrite confirmation for GTK filesaver (#179531)
* Wed Jun 07 2006 - stark@suse.de
- fixed up BuildRequires
* Fri Jun 02 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jun 02 2006 - stark@suse.de
- update to security/stability release 1.5.0.4 (#179011)
  (http://www.mozilla.org/projects/security/known-vulnerabilities.html#Thunderbird)
* Mon May 15 2006 - stark@suse.de
- update to version 1.5.0.2
- update mailredirect to 0.7.3
- save printer settings properly (#174082, bmo #324072)
- improved postscript output (bmo #334485)
- changed defaults for printer properties (#6534)
- get available paper sizes from CUPS (#65482)
* Sat Mar 18 2006 - stark@suse.de
- translations package is suggested now by main package
- yet another set of upstream fixes (#148876)
* Sun Mar 12 2006 - stark@suse.de
- added Khmer (km-*) to pango locales (#157397)
- yet another set of upstream fixes (#148876)
* Sat Mar 04 2006 - stark@suse.de
- latest security fixes from upstream (#148876)
- show multiple Reply-To addresses (bmo #106189)
* Fri Feb 24 2006 - stark@suse.de
- added GTK category to desktop-file
- dumpstack.patch is in upstream patches now
- get some more patches (#148876)
* Tue Feb 14 2006 - stark@suse.de
- applied set of security patches (#148876)
* Tue Feb 07 2006 - stark@suse.de
- fixed disabling of Pango (#148788)
* Thu Feb 02 2006 - stark@suse.de
- defined gssapi lib explicitely (#147670)
* Wed Feb 01 2006 - stark@suse.de
- removed additional CA certs from builtin NSS
- make it possible to choose $HOME as download directory
  (#144894, bmo #300856)
- cleaned up BuildRequires
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - stark@suse.de
- disable Pango if MOZ_ENABLE_PANGO is not set
  and no typical language which needs Pango is used (#143428)
- preload libaoss for plugin sound (#117079)
- fix to ignore X composite extension (#135373)
* Wed Jan 18 2006 - stark@suse.de
- added default (font) settings
- tweak useragent
- fixed DumpStackToFile() for glibc 2.4
* Thu Jan 12 2006 - stark@suse.de
- update to 1.5 (20060111)
- added sytem extensions patch
- added XUL filechooser patch (MOZ_XUL_PICKER)
- update enigmail to 0.94.0
- use -fstack-protector where available
- use system NSS since CODE10
* Wed Dec 28 2005 - stark@suse.de
- update to 1.5rc2 (20051227)
* Sun Dec 11 2005 - stark@suse.de
- update to 1.5 (20051211)
- update enigmail to 0.93.2
* Tue Nov 29 2005 - stark@suse.de
- update enigmail to 0.93.1
- added patch for GTK2 handling (#134831)
* Fri Nov 25 2005 - stark@suse.de
- update to 1.5 (20051124)
* Fri Oct 28 2005 - stark@suse.de
- update to latest 1.5 snapshot (20051027)
- added patch to be able to reply to and forward rfc822 messages
  (bmo #204350)
- again don't provide and require NSS stuff
- removed disable-gconf patch (no registration needed in build
  process anymore)
- added mailredirect extension
- removed update functionality
* Mon Oct 10 2005 - stark@suse.de
- update to 1.5b2 (20051008)
- preinstall Enigmail (version 0.93.0) as global extension
- add all supported locales and use if installed
* Tue Oct 04 2005 - stark@suse.de
- update to 1.5b2 (20051003) (RPM version 1.4.1)
- prerequire NSPR
- prepared translations subpackage
- fixed filelist
- fixed build with new gcc
* Wed Sep 21 2005 - stark@suse.de
- update to 1.5b1 (20050920)
- added spellchecker integration with myspell (add-plugins.sh)
- removed aviary-install-global patch (not needed anymore, with
  new EM)
- enabled pango font rendering (through cairo hopefully)
- fixed GNOME gconf registration (#117851)
* Sat Aug 20 2005 - stark@suse.de
- workaround for linking with pangoxft and pangox
  (broken by gtk 2.8 update) (#105764)
* Thu Aug 18 2005 - stark@suse.de
- fixed Gdk-WARNING at startup (gtk.patch)
- fixed regression in profile locking change (bmo #303633)
- fixed crash with gtk 2.7 (bmo #300226, bnc #104586)
* Wed Aug 03 2005 - stark@suse.de
- fixed profile locking (bmo #151188)
* Fri Jul 29 2005 - stark@suse.de
- don't require and provide NSS libs (#98002)
* Fri Jul 22 2005 - stark@suse.de
- fixed printing patch
* Tue Jul 19 2005 - stark@suse.de
- added NSPR to PreReq
- disable stripping in specfile
* Fri Jul 15 2005 - stark@suse.de
- update to 1.0.6 which restores API compatibility
- fixed width calculation in Postscript module (bmo #290292)
* Thu Jul 14 2005 - stark@suse.de
- fixed filelist to include icon-file and startscript again
* Tue Jul 12 2005 - stark@suse.de
- fixed remote usage behaviour in start script (bnc #41903)
- update to 1.0.5 security release
- fixed quoting patch
- moved desktop file to a Gnome independent location
- don't strip explicitely
- use RPM_OPT_FLAGS for NSS component
- fixed implicit declarations and uninitialized used variables
* Thu Apr 28 2005 - stark@suse.de
- updated to current 1.0 branch version
- use static NSPR from other location
* Sat Apr 23 2005 - stark@suse.de
- activate usage of system NSPR for distributions after 9.3
- add patch to be able to use systen NSPR at all
- extended desktop file
* Fri Apr 22 2005 - ro@suse.de
- apply mozilla-gcc4.patch
* Wed Mar 23 2005 - stark@suse.de
- update to 1.0.2
- use system NSPR on SUSE releases after 9.3
- made startscript PIS aware
- set g-application-name correctly (bmo #281979)
* Mon Mar 07 2005 - stark@suse.de
- don't use gconfd in registration phase (#66381)
* Fri Feb 25 2005 - stark@suse.de
- update to version 1.0.1
* Tue Feb 22 2005 - stark@suse.de
- added patch to create Postscript level 2 (instead of 3)
  (special thanks to Jungshik Shin)
- disabled freetype explicitly to be able to use the above patch
  (freetype wasn't used anymore since some time anyway)
* Wed Feb 02 2005 - stark@suse.de
- added a JS crasher fix (bmc #268535)
* Sat Jan 22 2005 - stark@suse.de
- added some backported bugfixes
* Tue Dec 07 2004 - stark@suse.de
- update to 1.0
- fixed extra lines in replies (bmo #144998)
- fixed build on s390/s390x
* Wed Nov 24 2004 - stark@suse.de
- update to 20041123 snapshot
- inherit downloadFolder patch from Firefox
* Fri Nov 12 2004 - stark@suse.de
- fixed chrome filelist
* Thu Nov 04 2004 - stark@suse.de
- update to 0.9
- sync patch-set with firefox base
- fixed neededforbuild to get GNOME functionalities
* Fri Sep 17 2004 - stark@suse.de
- added some missing fixes for official release
- synced add-plugins.sh
* Sat Sep 11 2004 - stark@suse.de
- update to official 0.8 version (20040911)
- fixed enigmail config
* Mon Sep 06 2004 - stark@suse.de
- fixed profile directory
* Fri Sep 03 2004 - stark@suse.de
- update to thunderbird 0.8 (20040903)
- update enigmail to 0.86.0 and ipc to 1.0.8 (deactivated)
* Tue Aug 24 2004 - stark@suse.de
- update to thunderbird 0.7.3
- update enigmail to 0.85.0 and ipc to 1.0.7
* Tue Jun 29 2004 - stark@suse.de
- update to thunderbird 0.7.1
- update enigmail to 0.84.1
* Wed May 12 2004 - ro@suse.de
- add some missing return values
* Mon May 03 2004 - stark@suse.de
- update to Thunderbird 0.6 (based on 1.7rc1)
- use official branding for release builds
- added desktop-icon (#39139)
* Fri Apr 02 2004 - stark@suse.de
- removing relocation of TEMP directory (#34391)
* Fri Mar 26 2004 - uli@suse.de
- fixed hang during build on s390* (bug #35440)
* Sun Mar 07 2004 - ro@suse.de
- match function declaration in enigmail mimedummy.cpp
* Fri Mar 05 2004 - stark@suse.de
- more fixes for #35179
- added firefox as default handler for its protocols
- update enigmail to 0.83.4
* Wed Mar 03 2004 - stark@suse.de
- removed unused patches for GTK2 build
* Sun Feb 29 2004 - stark@suse.de
- improved start-script to interact with firefox and mozilla
  (#35179)
* Fri Feb 27 2004 - stark@suse.de
- update to 0.5
- spec-file cleanup
* Wed Oct 15 2003 - stark@suse.de
- update to 0.3 (sync with mozilla 1.5)
* Tue Jul 15 2003 - stark@suse.de
- initial package (snapshot 20030714)
